/* Copyright Rupert Smith, 2005 to 2006, all rights reserved. */
package uk.co.thebadgerset.junit.concurrency;

/**
 * PossibleDeadlockException is used to signal that two test threads being executed by a {@link ThreadTestCoordinator}
 * may be in a state of deadlock because they are mutually blocking each other or one is waiting on the other and the
 * other has been blocked elsewhere for longer than a specified timeout.
 *
 * <p/><table id="crc"><caption>CRC Card</caption>
 * <tr><th> Responsibilities <th> Collaborations
 * <tr><td> Signal a possible state of deadlock between coordinated test threads.
 * </table>
 *
 * @author Rupert Smith
 */
public class PossibleDeadlockException extends RuntimeException
{
    /**
     * Create a new possible deadlock execption.
     *
     * @param message The exception message.
     */
    public PossibleDeadlockException(String message)
    {
        super(message);
    }
}
